> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getgaana.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Media List

> Retrieves a list of generated media for a specific object.



## OpenAPI

````yaml get /media/{object_id}/
openapi: 3.0.3
info:
  title: Gaana AI Visual On-Brand Generation
  version: v1
  description: >-
    This API helps external developers to use Gaana AI API to create visuals
    (image, video) which resonate with their brand guidelines. They can create
    visuals by giving a concept, providing product images, or using reference
    images that inspire them.
  contact:
    name: Gaana AI Support
    email: support@gaana.ai
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - description: Production
    url: https://production.getgaana.com/api
  - description: Stage/Sandbox
    url: https://experiment.getgaana.com/api
security: []
tags:
  - name: auth
    description: Authentication API to generate bearer token
  - name: file_upload
    description: File upload API to upload product images
  - name: products
    description: Product APIs
  - name: concept
    description: Concept APIs
  - name: media-config
    description: Media configuration APIs
  - name: media
    description: Media APIs
paths:
  /media/{object_id}/:
    get:
      tags:
        - media
      description: Retrieves a list of generated media for a specific object.
      operationId: media_list
      parameters:
        - in: path
          name: object_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PaginatedListSuccess_B2BGeneratedPost'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    PaginatedListSuccess_B2BGeneratedPost:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PaginatedData_B2BGeneratedPost'
        status:
          $ref: '#/components/schemas/StatusE7cEnum'
      required:
        - data
        - status
    ErrorResponse:
      type: object
      properties:
        data:
          type: array
          items: {}
        message:
          type: string
        status:
          $ref: '#/components/schemas/ErrorResponseStatusEnum'
      required:
        - message
        - status
    PaginatedData_B2BGeneratedPost:
      type: object
      properties:
        count:
          type: integer
        next:
          type: string
          format: uri
          nullable: true
        previous:
          type: string
          format: uri
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/B2BGeneratedPost'
      required:
        - count
        - next
        - previous
        - results
    StatusE7cEnum:
      enum:
        - success
      type: string
      description: '* `success` - success'
    ErrorResponseStatusEnum:
      enum:
        - failed
      type: string
      description: '* `failed` - failed'
    B2BGeneratedPost:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        content_pillar:
          allOf:
            - $ref: '#/components/schemas/B2BContentPillars'
          readOnly: true
        status:
          $ref: '#/components/schemas/B2BGeneratedPostStatusEnum'
        error_message:
          type: string
          nullable: true
        generate_config:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
          readOnly: true
        estimated_duration:
          type: string
          readOnly: true
        post_type:
          type: string
          readOnly: true
        assets_used:
          type: string
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        media_info:
          type: string
          readOnly: true
      required:
        - assets_used
        - content_pillar
        - created_at
        - estimated_duration
        - generate_config
        - id
        - media_info
        - post_type
        - updated_at
    B2BContentPillars:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
          nullable: true
        description:
          type: string
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        ref_images:
          readOnly: true
      required:
        - created_at
        - description
        - id
        - name
        - ref_images
        - updated_at
    B2BGeneratedPostStatusEnum:
      enum:
        - success
        - failed
        - fetching
      type: string
      description: |-
        * `success` - success
        * `failed` - failed
        * `fetching` - fetching
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````